<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_surface.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDL_surface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_s_d_l__surface_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">  Simple DirectMedia Layer</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">  Copyright (C) 1997-2020 Sam Lantinga &lt;slouken@libsdl.org&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">  This software is provided &#39;as-is&#39;, without any express or implied</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">  warranty.  In no event will the authors be held liable for any damages</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">  arising from the use of this software.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">  Permission is granted to anyone to use this software for any purpose,</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">  including commercial applications, and to alter it and redistribute it</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">  freely, subject to the following restrictions:</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">  1. The origin of this software must not be misrepresented; you must not</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">     claim that you wrote the original software. If you use this software</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">     in a product, an acknowledgment in the product documentation would be</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">     appreciated but is not required.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">  2. Altered source versions must be plainly marked as such, and must not be</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">     misrepresented as being the original software.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">  3. This notice may not be removed or altered from any source distribution.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#ifndef SDL_surface_h_</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#define SDL_surface_h_</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a>&quot;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__pixels_8h.html">SDL_pixels.h</a>&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__rect_8h.html">SDL_rect.h</a>&quot;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__blendmode_8h.html">SDL_blendmode.h</a>&quot;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__rwops_8h.html">SDL_rwops.h</a>&quot;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="begin__code_8h.html">begin_code.h</a>&quot;</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">/* Set up for C function definitions, even when using C++ */</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="comment">/* @{ */</span></div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a59c7111f96872f973d0f058362761776">   52</a></span>&#160;<span class="preprocessor">#define SDL_SWSURFACE       0           </span></div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a4a5f795a69ac626fba73c4bd0bfd9626">   53</a></span>&#160;<span class="preprocessor">#define SDL_PREALLOC        0x00000001  </span></div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a3b3d53ad7ba0b7294ca25251d88d40fb">   54</a></span>&#160;<span class="preprocessor">#define SDL_RLEACCEL        0x00000002  </span></div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a2d3381f5c76aec3fea3f8b990c2e9f6d">   55</a></span>&#160;<span class="preprocessor">#define SDL_DONTFREE        0x00000004  </span></div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a48a8fb403cb1513b0f689b532dc75861">   56</a></span>&#160;<span class="preprocessor">#define SDL_SIMD_ALIGNED    0x00000008  </span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="comment">/* @} */</span><span class="comment">/* Surface flags */</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#aba3239116c763175b6ea41ef78b72091">   62</a></span>&#160;<span class="preprocessor">#define SDL_MUSTLOCK(S) (((S)-&gt;flags &amp; SDL_RLEACCEL) != 0)</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html">   70</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;{</div>
<div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#a86d78b665d5dfd7aa1dd9696b067641b">   72</a></span>&#160;    Uint32 <a class="code" href="struct_s_d_l___surface.html#a86d78b665d5dfd7aa1dd9696b067641b">flags</a>;               </div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#a0a90721f947c10c3b79e02ccb419ca62">   73</a></span>&#160;    <a class="code" href="struct_s_d_l___pixel_format.html">SDL_PixelFormat</a> *<a class="code" href="struct_s_d_l___surface.html#a0a90721f947c10c3b79e02ccb419ca62">format</a>;    </div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#af33bcf87a1f5e10a99b3c7e8626b38c8">   74</a></span>&#160;    <span class="keywordtype">int</span> w, <a class="code" href="struct_s_d_l___surface.html#af33bcf87a1f5e10a99b3c7e8626b38c8">h</a>;                   </div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#a5fa37325d77d65b2ed64ffc7cd01bb6c">   75</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_s_d_l___surface.html#a5fa37325d77d65b2ed64ffc7cd01bb6c">pitch</a>;                  </div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#abd9597e0e084b8ef33fe0397bc26d911">   76</a></span>&#160;    <span class="keywordtype">void</span> *<a class="code" href="struct_s_d_l___surface.html#abd9597e0e084b8ef33fe0397bc26d911">pixels</a>;               </div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#ae66d973dcb9b57cb34815892e1ee1f31">   79</a></span>&#160;    <span class="keywordtype">void</span> *<a class="code" href="struct_s_d_l___surface.html#ae66d973dcb9b57cb34815892e1ee1f31">userdata</a>;             </div>
<div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#a5022edaeea1c0a055fa5d6dccba41de2">   82</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_s_d_l___surface.html#a5022edaeea1c0a055fa5d6dccba41de2">locked</a>;                 </div>
<div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#a17294cb1ec1ef7f77f75cdad26ac795f">   85</a></span>&#160;    <span class="keywordtype">void</span> *<a class="code" href="struct_s_d_l___surface.html#a17294cb1ec1ef7f77f75cdad26ac795f">list_blitmap</a>;         </div>
<div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#aa9a0da3b38261dad6cf0cc4e3bb5b0c3">   88</a></span>&#160;    <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> <a class="code" href="struct_s_d_l___surface.html#aa9a0da3b38261dad6cf0cc4e3bb5b0c3">clip_rect</a>;         </div>
<div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#a8c1ecad399b0d4f525b1a53b6ee9393f">   91</a></span>&#160;    <span class="keyword">struct </span>SDL_BlitMap *<a class="code" href="struct_s_d_l___surface.html#a8c1ecad399b0d4f525b1a53b6ee9393f">map</a>;    </div>
<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="struct_s_d_l___surface.html#a03d10628a359c0674f5ceffd574f1641">   94</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_s_d_l___surface.html#a03d10628a359c0674f5ceffd574f1641">refcount</a>;               </div>
<div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#ad894d177fae95d7a1c0d23597b69e569">   95</a></span>&#160;} <a class="code" href="_s_d_l__surface_8h.html#ad894d177fae95d7a1c0d23597b69e569">SDL_Surface</a>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#ab2d7366d99a08693d476b98760690947">  100</a></span>&#160;<span class="keyword">typedef</span> int (SDLCALL *<a class="code" href="_s_d_l__surface_8h.html#ab2d7366d99a08693d476b98760690947">SDL_blit</a>) (<span class="keyword">struct </span><a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * srcrect,</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                                 <span class="keyword">struct </span><a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * dstrect);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446">  106</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;{</div>
<div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a779237ffb78ee935518b83e8ab8a35dc">  108</a></span>&#160;    <a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a779237ffb78ee935518b83e8ab8a35dc">SDL_YUV_CONVERSION_JPEG</a>,        </div>
<div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a58058f0ed3146de73b031e256aa2aaaa">  109</a></span>&#160;    <a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a58058f0ed3146de73b031e256aa2aaaa">SDL_YUV_CONVERSION_BT601</a>,       </div>
<div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a806aeb86ff618a298206cbf921c0202a">  110</a></span>&#160;    <a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a806aeb86ff618a298206cbf921c0202a">SDL_YUV_CONVERSION_BT709</a>,       </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446acbf0cb1b718195c6c0960d4471a5ed0a">SDL_YUV_CONVERSION_AUTOMATIC</a>    </div>
<div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446acbf0cb1b718195c6c0960d4471a5ed0a">  112</a></span>&#160;} <a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446">SDL_YUV_CONVERSION_MODE</a>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160; </div>
<div class="line"><a name="l00132"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#aac106bf796c828587cce76cb847d11ae">  132</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL <a class="code" href="_s_d_l__surface_8h.html#aac106bf796c828587cce76cb847d11ae">SDL_CreateRGBSurface</a></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    (Uint32 flags, <span class="keywordtype">int</span> width, <span class="keywordtype">int</span> height, <span class="keywordtype">int</span> depth,</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;     Uint32 Rmask, Uint32 Gmask, Uint32 Bmask, Uint32 Amask);</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="comment">/* !!! FIXME for 2.1: why does this ask for depth? Format provides that. */</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL SDL_CreateRGBSurfaceWithFormat</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    (Uint32 flags, <span class="keywordtype">int</span> width, <span class="keywordtype">int</span> height, <span class="keywordtype">int</span> depth, Uint32 format);</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160; </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL SDL_CreateRGBSurfaceFrom(<span class="keywordtype">void</span> *pixels,</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                                                              <span class="keywordtype">int</span> width,</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                                                              <span class="keywordtype">int</span> height,</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                                                              <span class="keywordtype">int</span> depth,</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                                                              <span class="keywordtype">int</span> <a class="code" href="struct_s_d_l___surface.html#a5fa37325d77d65b2ed64ffc7cd01bb6c">pitch</a>,</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                                                              Uint32 Rmask,</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;                                                              Uint32 Gmask,</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;                                                              Uint32 Bmask,</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;                                                              Uint32 Amask);</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL SDL_CreateRGBSurfaceWithFormatFrom</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    (<span class="keywordtype">void</span> *pixels, <span class="keywordtype">int</span> width, <span class="keywordtype">int</span> height, <span class="keywordtype">int</span> depth, <span class="keywordtype">int</span> <a class="code" href="struct_s_d_l___surface.html#a5fa37325d77d65b2ed64ffc7cd01bb6c">pitch</a>, Uint32 format);</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">void</span> SDLCALL SDL_FreeSurface(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface);</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160; </div>
<div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a72c780465293acb1f586995943422a17">  160</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a72c780465293acb1f586995943422a17">SDL_SetSurfacePalette</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                                                  <a class="code" href="struct_s_d_l___palette.html">SDL_Palette</a> * palette);</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160; </div>
<div class="line"><a name="l00182"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a3d1da1c7ecdaa461fac51a10785f5077">  182</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a3d1da1c7ecdaa461fac51a10785f5077">SDL_LockSurface</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface);</div>
<div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a56b93f51358b55d7fc213a3ba9b02c24">  184</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">void</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a56b93f51358b55d7fc213a3ba9b02c24">SDL_UnlockSurface</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface);</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160; </div>
<div class="line"><a name="l00195"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#aac1d1435b9fa8523d699c3a33264d559">  195</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL <a class="code" href="_s_d_l__surface_8h.html#aac1d1435b9fa8523d699c3a33264d559">SDL_LoadBMP_RW</a>(<a class="code" href="struct_s_d_l___r_wops.html">SDL_RWops</a> * src,</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                                                    <span class="keywordtype">int</span> freesrc);</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160; </div>
<div class="line"><a name="l00203"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#ae63aa646481001be542220a8733c3ce0">  203</a></span>&#160;<span class="preprocessor">#define SDL_LoadBMP(file)   SDL_LoadBMP_RW(SDL_RWFromFile(file, &quot;rb&quot;</span>), 1)</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160; </div>
<div class="line"><a name="l00218"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#aadc126a4edeafb5033d5e942cf32db6a">  218</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#aadc126a4edeafb5033d5e942cf32db6a">SDL_SaveBMP_RW</a></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface, <a class="code" href="struct_s_d_l___r_wops.html">SDL_RWops</a> * dst, <span class="keywordtype">int</span> freedst);</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160; </div>
<div class="line"><a name="l00226"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a425e7a69acbdf2bd9ba46d332d917320">  226</a></span>&#160;<span class="preprocessor">#define SDL_SaveBMP(surface, file) \</span></div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="preprocessor">        SDL_SaveBMP_RW(surface, SDL_RWFromFile(file, &quot;wb&quot;</span>), 1)</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160; </div>
<div class="line"><a name="l00237"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#ae2f6d70b8071e83e0c84241dbdcd3a3b">  237</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#ae2f6d70b8071e83e0c84241dbdcd3a3b">SDL_SetSurfaceRLE</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;                                              <span class="keywordtype">int</span> flag);</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160; </div>
<div class="line"><a name="l00245"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#abdc58e9ce47e2693230a3a1389b1bfb6">  245</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__surface_8h.html#abdc58e9ce47e2693230a3a1389b1bfb6">SDL_HasSurfaceRLE</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface);</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160; </div>
<div class="line"><a name="l00258"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a4cbe831b210dc900cb93101352357b73">  258</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a4cbe831b210dc900cb93101352357b73">SDL_SetColorKey</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;                                            <span class="keywordtype">int</span> flag, Uint32 key);</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160; </div>
<div class="line"><a name="l00266"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a31ca900bd39b6805fc8586472be18c90">  266</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a31ca900bd39b6805fc8586472be18c90">SDL_HasColorKey</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface);</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160; </div>
<div class="line"><a name="l00278"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a2ff80a244bad20f1c4fa85adf1e1deb9">  278</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a2ff80a244bad20f1c4fa85adf1e1deb9">SDL_GetColorKey</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;                                            Uint32 * key);</div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160; </div>
<div class="line"><a name="l00293"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a4edf978396e3f562d43c672630e0ca71">  293</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a4edf978396e3f562d43c672630e0ca71">SDL_SetSurfaceColorMod</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;                                                   Uint8 r, Uint8 g, Uint8 b);</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160; </div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160; </div>
<div class="line"><a name="l00309"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a5db1ae32b7884b598d86424e205c3a86">  309</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a5db1ae32b7884b598d86424e205c3a86">SDL_GetSurfaceColorMod</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;                                                   Uint8 * r, Uint8 * g,</div>
<div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;                                                   Uint8 * b);</div>
<div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160; </div>
<div class="line"><a name="l00323"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a0035f0239f0588d16c57aff7672be174">  323</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a0035f0239f0588d16c57aff7672be174">SDL_SetSurfaceAlphaMod</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;                                                   Uint8 alpha);</div>
<div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160; </div>
<div class="line"><a name="l00336"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a09a99bb24420857e85071e39607678f6">  336</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a09a99bb24420857e85071e39607678f6">SDL_GetSurfaceAlphaMod</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;                                                   Uint8 * alpha);</div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160; </div>
<div class="line"><a name="l00349"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a35f5b3b64c503c4a8da01566f62976a9">  349</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a35f5b3b64c503c4a8da01566f62976a9">SDL_SetSurfaceBlendMode</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;                                                    <a class="code" href="_s_d_l__blendmode_8h.html#a850d3c67a878fd6698a1c8dbb1eabf1e">SDL_BlendMode</a> blendMode);</div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160; </div>
<div class="line"><a name="l00362"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a95570c617879f45bf7e2e4d330534f6b">  362</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a95570c617879f45bf7e2e4d330534f6b">SDL_GetSurfaceBlendMode</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;                                                    <a class="code" href="_s_d_l__blendmode_8h.html#a850d3c67a878fd6698a1c8dbb1eabf1e">SDL_BlendMode</a> *blendMode);</div>
<div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160; </div>
<div class="line"><a name="l00378"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a6cf2c30be55f51fe9e4faf97e3f8d08b">  378</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a6cf2c30be55f51fe9e4faf97e3f8d08b">SDL_SetClipRect</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;                                                 <span class="keyword">const</span> <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * rect);</div>
<div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160; </div>
<div class="line"><a name="l00387"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a7d7f71b94748a1b0db3b5b769834ed27">  387</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">void</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a7d7f71b94748a1b0db3b5b769834ed27">SDL_GetClipRect</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface,</div>
<div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;                                             <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * rect);</div>
<div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160; </div>
<div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;<span class="comment"> * Creates a new surface identical to the existing surface</span></div>
<div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL SDL_DuplicateSurface(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * surface);</div>
<div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160; </div>
<div class="line"><a name="l00405"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a65fb480a0ac01b69f6999f48a6fd985b">  405</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a65fb480a0ac01b69f6999f48a6fd985b">SDL_ConvertSurface</a></div>
<div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src, <span class="keyword">const</span> <a class="code" href="struct_s_d_l___pixel_format.html">SDL_PixelFormat</a> * fmt, Uint32 flags);</div>
<div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> *SDLCALL SDL_ConvertSurfaceFormat</div>
<div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src, Uint32 pixel_format, Uint32 flags);</div>
<div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160; </div>
<div class="line"><a name="l00415"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a339c5728a1181e2d6334ad07e1e84440">  415</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a339c5728a1181e2d6334ad07e1e84440">SDL_ConvertPixels</a>(<span class="keywordtype">int</span> width, <span class="keywordtype">int</span> height,</div>
<div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;                                              Uint32 src_format,</div>
<div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;                                              <span class="keyword">const</span> <span class="keywordtype">void</span> * src, <span class="keywordtype">int</span> src_pitch,</div>
<div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;                                              Uint32 dst_format,</div>
<div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;                                              <span class="keywordtype">void</span> * dst, <span class="keywordtype">int</span> dst_pitch);</div>
<div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160; </div>
<div class="line"><a name="l00431"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a98b3595458c6271303d6470cb2b2c721">  431</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a98b3595458c6271303d6470cb2b2c721">SDL_FillRect</a></div>
<div class="line"><a name="l00432"></a><span class="lineno">  432</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst, <span class="keyword">const</span> <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * rect, Uint32 color);</div>
<div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL SDL_FillRects</div>
<div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst, <span class="keyword">const</span> <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * rects, <span class="keywordtype">int</span> count, Uint32 color);</div>
<div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160; </div>
<div class="line"><a name="l00493"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#aad8d7ebe5e953593cb7d91373e73ba9a">  493</a></span>&#160;<span class="preprocessor">#define SDL_BlitSurface SDL_UpperBlit</span></div>
<div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160; </div>
<div class="line"><a name="l00499"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#ac418c4404813eeb32f4e1b24f9deae96">  499</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#ac418c4404813eeb32f4e1b24f9deae96">SDL_UpperBlit</a></div>
<div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src, <span class="keyword">const</span> <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * srcrect,</div>
<div class="line"><a name="l00501"></a><span class="lineno">  501</span>&#160;     <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * dstrect);</div>
<div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160; </div>
<div class="line"><a name="l00507"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a82bd1c0e0886d77e287207fe6351bf87">  507</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a82bd1c0e0886d77e287207fe6351bf87">SDL_LowerBlit</a></div>
<div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * srcrect,</div>
<div class="line"><a name="l00509"></a><span class="lineno">  509</span>&#160;     <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * dstrect);</div>
<div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160; </div>
<div class="line"><a name="l00517"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#aee44fe7d5dba376a971793d70ffcf55c">  517</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#aee44fe7d5dba376a971793d70ffcf55c">SDL_SoftStretch</a>(<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src,</div>
<div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;                                            <span class="keyword">const</span> <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * srcrect,</div>
<div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;                                            <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst,</div>
<div class="line"><a name="l00520"></a><span class="lineno">  520</span>&#160;                                            <span class="keyword">const</span> <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * dstrect);</div>
<div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160; </div>
<div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;<span class="preprocessor">#define SDL_BlitScaled SDL_UpperBlitScaled</span></div>
<div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160; </div>
<div class="line"><a name="l00528"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a90ac01634e9ee33764fcf5ec7bc43c46">  528</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a90ac01634e9ee33764fcf5ec7bc43c46">SDL_UpperBlitScaled</a></div>
<div class="line"><a name="l00529"></a><span class="lineno">  529</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src, <span class="keyword">const</span> <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * srcrect,</div>
<div class="line"><a name="l00530"></a><span class="lineno">  530</span>&#160;    <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * dstrect);</div>
<div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160; </div>
<div class="line"><a name="l00536"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a5c6b2f06726600d41ff75ff259d4383b">  536</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a5c6b2f06726600d41ff75ff259d4383b">SDL_LowerBlitScaled</a></div>
<div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;    (<a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * src, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * srcrect,</div>
<div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;    <a class="code" href="struct_s_d_l___surface.html">SDL_Surface</a> * dst, <a class="code" href="struct_s_d_l___rect.html">SDL_Rect</a> * dstrect);</div>
<div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160; </div>
<div class="line"><a name="l00543"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a35875bf88b2d78e0990f5f13ef1cd0e1">  543</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">void</span> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a35875bf88b2d78e0990f5f13ef1cd0e1">SDL_SetYUVConversionMode</a>(<a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446">SDL_YUV_CONVERSION_MODE</a> mode);</div>
<div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160; </div>
<div class="line"><a name="l00548"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a61d2c4412423e5d1a0e3426ee678d262">  548</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446">SDL_YUV_CONVERSION_MODE</a> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a61d2c4412423e5d1a0e3426ee678d262">SDL_GetYUVConversionMode</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00549"></a><span class="lineno">  549</span>&#160; </div>
<div class="line"><a name="l00553"></a><span class="lineno"><a class="line" href="_s_d_l__surface_8h.html#a1cfad98219e074988d0c5731e304cda4">  553</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446">SDL_YUV_CONVERSION_MODE</a> SDLCALL <a class="code" href="_s_d_l__surface_8h.html#a1cfad98219e074988d0c5731e304cda4">SDL_GetYUVConversionModeForResolution</a>(<span class="keywordtype">int</span> width, <span class="keywordtype">int</span> height);</div>
<div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160; </div>
<div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160;<span class="comment">/* Ends C function definitions when using C++ */</span></div>
<div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;}</div>
<div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="close__code_8h.html">close_code.h</a>&quot;</span></div>
<div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160; </div>
<div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_surface_h_ */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160; </div>
<div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;<span class="comment">/* vi: set ts=4 sw=4 expandtab: */</span></div>
<div class="ttc" id="a_s_d_l__blendmode_8h_html"><div class="ttname"><a href="_s_d_l__blendmode_8h.html">SDL_blendmode.h</a></div></div>
<div class="ttc" id="a_s_d_l__blendmode_8h_html_a850d3c67a878fd6698a1c8dbb1eabf1e"><div class="ttname"><a href="_s_d_l__blendmode_8h.html#a850d3c67a878fd6698a1c8dbb1eabf1e">SDL_BlendMode</a></div><div class="ttdeci">SDL_BlendMode</div><div class="ttdoc">The blend mode used in SDL_RenderCopy() and drawing operations.</div><div class="ttdef"><b>Definition:</b> SDL_blendmode.h:41</div></div>
<div class="ttc" id="a_s_d_l__pixels_8h_html"><div class="ttname"><a href="_s_d_l__pixels_8h.html">SDL_pixels.h</a></div></div>
<div class="ttc" id="a_s_d_l__rect_8h_html"><div class="ttname"><a href="_s_d_l__rect_8h.html">SDL_rect.h</a></div></div>
<div class="ttc" id="a_s_d_l__rwops_8h_html"><div class="ttname"><a href="_s_d_l__rwops_8h.html">SDL_rwops.h</a></div></div>
<div class="ttc" id="a_s_d_l__stdinc_8h_html"><div class="ttname"><a href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a></div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a0035f0239f0588d16c57aff7672be174"><div class="ttname"><a href="_s_d_l__surface_8h.html#a0035f0239f0588d16c57aff7672be174">SDL_SetSurfaceAlphaMod</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SetSurfaceAlphaMod(SDL_Surface *surface, Uint8 alpha)</div><div class="ttdoc">Set an additional alpha value used in blit operations.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a00a564600207cec7a2cb50a6e20d2446"><div class="ttname"><a href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446">SDL_YUV_CONVERSION_MODE</a></div><div class="ttdeci">SDL_YUV_CONVERSION_MODE</div><div class="ttdoc">The formula used for converting between YUV and RGB.</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:107</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a00a564600207cec7a2cb50a6e20d2446a58058f0ed3146de73b031e256aa2aaaa"><div class="ttname"><a href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a58058f0ed3146de73b031e256aa2aaaa">SDL_YUV_CONVERSION_BT601</a></div><div class="ttdeci">@ SDL_YUV_CONVERSION_BT601</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:109</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a00a564600207cec7a2cb50a6e20d2446a779237ffb78ee935518b83e8ab8a35dc"><div class="ttname"><a href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a779237ffb78ee935518b83e8ab8a35dc">SDL_YUV_CONVERSION_JPEG</a></div><div class="ttdeci">@ SDL_YUV_CONVERSION_JPEG</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:108</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a00a564600207cec7a2cb50a6e20d2446a806aeb86ff618a298206cbf921c0202a"><div class="ttname"><a href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446a806aeb86ff618a298206cbf921c0202a">SDL_YUV_CONVERSION_BT709</a></div><div class="ttdeci">@ SDL_YUV_CONVERSION_BT709</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:110</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a00a564600207cec7a2cb50a6e20d2446acbf0cb1b718195c6c0960d4471a5ed0a"><div class="ttname"><a href="_s_d_l__surface_8h.html#a00a564600207cec7a2cb50a6e20d2446acbf0cb1b718195c6c0960d4471a5ed0a">SDL_YUV_CONVERSION_AUTOMATIC</a></div><div class="ttdeci">@ SDL_YUV_CONVERSION_AUTOMATIC</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:111</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a09a99bb24420857e85071e39607678f6"><div class="ttname"><a href="_s_d_l__surface_8h.html#a09a99bb24420857e85071e39607678f6">SDL_GetSurfaceAlphaMod</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GetSurfaceAlphaMod(SDL_Surface *surface, Uint8 *alpha)</div><div class="ttdoc">Get the additional alpha value used in blit operations.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a1cfad98219e074988d0c5731e304cda4"><div class="ttname"><a href="_s_d_l__surface_8h.html#a1cfad98219e074988d0c5731e304cda4">SDL_GetYUVConversionModeForResolution</a></div><div class="ttdeci">DECLSPEC SDL_YUV_CONVERSION_MODE SDLCALL SDL_GetYUVConversionModeForResolution(int width, int height)</div><div class="ttdoc">Get the YUV conversion mode, returning the correct mode for the resolution when the current conversio...</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a2ff80a244bad20f1c4fa85adf1e1deb9"><div class="ttname"><a href="_s_d_l__surface_8h.html#a2ff80a244bad20f1c4fa85adf1e1deb9">SDL_GetColorKey</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GetColorKey(SDL_Surface *surface, Uint32 *key)</div><div class="ttdoc">Gets the color key (transparent pixel) in a blittable surface.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a31ca900bd39b6805fc8586472be18c90"><div class="ttname"><a href="_s_d_l__surface_8h.html#a31ca900bd39b6805fc8586472be18c90">SDL_HasColorKey</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_HasColorKey(SDL_Surface *surface)</div><div class="ttdoc">Returns whether the surface has a color key.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a339c5728a1181e2d6334ad07e1e84440"><div class="ttname"><a href="_s_d_l__surface_8h.html#a339c5728a1181e2d6334ad07e1e84440">SDL_ConvertPixels</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_ConvertPixels(int width, int height, Uint32 src_format, const void *src, int src_pitch, Uint32 dst_format, void *dst, int dst_pitch)</div><div class="ttdoc">Copy a block of pixels of one format to another format.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a35875bf88b2d78e0990f5f13ef1cd0e1"><div class="ttname"><a href="_s_d_l__surface_8h.html#a35875bf88b2d78e0990f5f13ef1cd0e1">SDL_SetYUVConversionMode</a></div><div class="ttdeci">DECLSPEC void SDLCALL SDL_SetYUVConversionMode(SDL_YUV_CONVERSION_MODE mode)</div><div class="ttdoc">Set the YUV conversion mode.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a35f5b3b64c503c4a8da01566f62976a9"><div class="ttname"><a href="_s_d_l__surface_8h.html#a35f5b3b64c503c4a8da01566f62976a9">SDL_SetSurfaceBlendMode</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SetSurfaceBlendMode(SDL_Surface *surface, SDL_BlendMode blendMode)</div><div class="ttdoc">Set the blend mode used for blit operations.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a3d1da1c7ecdaa461fac51a10785f5077"><div class="ttname"><a href="_s_d_l__surface_8h.html#a3d1da1c7ecdaa461fac51a10785f5077">SDL_LockSurface</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_LockSurface(SDL_Surface *surface)</div><div class="ttdoc">Sets up a surface for directly accessing the pixels.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a4cbe831b210dc900cb93101352357b73"><div class="ttname"><a href="_s_d_l__surface_8h.html#a4cbe831b210dc900cb93101352357b73">SDL_SetColorKey</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SetColorKey(SDL_Surface *surface, int flag, Uint32 key)</div><div class="ttdoc">Sets the color key (transparent pixel) in a blittable surface.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a4edf978396e3f562d43c672630e0ca71"><div class="ttname"><a href="_s_d_l__surface_8h.html#a4edf978396e3f562d43c672630e0ca71">SDL_SetSurfaceColorMod</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SetSurfaceColorMod(SDL_Surface *surface, Uint8 r, Uint8 g, Uint8 b)</div><div class="ttdoc">Set an additional color value used in blit operations.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a56b93f51358b55d7fc213a3ba9b02c24"><div class="ttname"><a href="_s_d_l__surface_8h.html#a56b93f51358b55d7fc213a3ba9b02c24">SDL_UnlockSurface</a></div><div class="ttdeci">DECLSPEC void SDLCALL SDL_UnlockSurface(SDL_Surface *surface)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a5c6b2f06726600d41ff75ff259d4383b"><div class="ttname"><a href="_s_d_l__surface_8h.html#a5c6b2f06726600d41ff75ff259d4383b">SDL_LowerBlitScaled</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_LowerBlitScaled(SDL_Surface *src, SDL_Rect *srcrect, SDL_Surface *dst, SDL_Rect *dstrect)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a5db1ae32b7884b598d86424e205c3a86"><div class="ttname"><a href="_s_d_l__surface_8h.html#a5db1ae32b7884b598d86424e205c3a86">SDL_GetSurfaceColorMod</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GetSurfaceColorMod(SDL_Surface *surface, Uint8 *r, Uint8 *g, Uint8 *b)</div><div class="ttdoc">Get the additional color value used in blit operations.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a61d2c4412423e5d1a0e3426ee678d262"><div class="ttname"><a href="_s_d_l__surface_8h.html#a61d2c4412423e5d1a0e3426ee678d262">SDL_GetYUVConversionMode</a></div><div class="ttdeci">DECLSPEC SDL_YUV_CONVERSION_MODE SDLCALL SDL_GetYUVConversionMode(void)</div><div class="ttdoc">Get the YUV conversion mode.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a65fb480a0ac01b69f6999f48a6fd985b"><div class="ttname"><a href="_s_d_l__surface_8h.html#a65fb480a0ac01b69f6999f48a6fd985b">SDL_ConvertSurface</a></div><div class="ttdeci">DECLSPEC SDL_Surface *SDLCALL SDL_ConvertSurface(SDL_Surface *src, const SDL_PixelFormat *fmt, Uint32 flags)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a6cf2c30be55f51fe9e4faf97e3f8d08b"><div class="ttname"><a href="_s_d_l__surface_8h.html#a6cf2c30be55f51fe9e4faf97e3f8d08b">SDL_SetClipRect</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_SetClipRect(SDL_Surface *surface, const SDL_Rect *rect)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a72c780465293acb1f586995943422a17"><div class="ttname"><a href="_s_d_l__surface_8h.html#a72c780465293acb1f586995943422a17">SDL_SetSurfacePalette</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SetSurfacePalette(SDL_Surface *surface, SDL_Palette *palette)</div><div class="ttdoc">Set the palette used by a surface.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a7d7f71b94748a1b0db3b5b769834ed27"><div class="ttname"><a href="_s_d_l__surface_8h.html#a7d7f71b94748a1b0db3b5b769834ed27">SDL_GetClipRect</a></div><div class="ttdeci">DECLSPEC void SDLCALL SDL_GetClipRect(SDL_Surface *surface, SDL_Rect *rect)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a82bd1c0e0886d77e287207fe6351bf87"><div class="ttname"><a href="_s_d_l__surface_8h.html#a82bd1c0e0886d77e287207fe6351bf87">SDL_LowerBlit</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_LowerBlit(SDL_Surface *src, SDL_Rect *srcrect, SDL_Surface *dst, SDL_Rect *dstrect)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a90ac01634e9ee33764fcf5ec7bc43c46"><div class="ttname"><a href="_s_d_l__surface_8h.html#a90ac01634e9ee33764fcf5ec7bc43c46">SDL_UpperBlitScaled</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_UpperBlitScaled(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, SDL_Rect *dstrect)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a95570c617879f45bf7e2e4d330534f6b"><div class="ttname"><a href="_s_d_l__surface_8h.html#a95570c617879f45bf7e2e4d330534f6b">SDL_GetSurfaceBlendMode</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GetSurfaceBlendMode(SDL_Surface *surface, SDL_BlendMode *blendMode)</div><div class="ttdoc">Get the blend mode used for blit operations.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_a98b3595458c6271303d6470cb2b2c721"><div class="ttname"><a href="_s_d_l__surface_8h.html#a98b3595458c6271303d6470cb2b2c721">SDL_FillRect</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_FillRect(SDL_Surface *dst, const SDL_Rect *rect, Uint32 color)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_aac106bf796c828587cce76cb847d11ae"><div class="ttname"><a href="_s_d_l__surface_8h.html#aac106bf796c828587cce76cb847d11ae">SDL_CreateRGBSurface</a></div><div class="ttdeci">DECLSPEC SDL_Surface *SDLCALL SDL_CreateRGBSurface(Uint32 flags, int width, int height, int depth, Uint32 Rmask, Uint32 Gmask, Uint32 Bmask, Uint32 Amask)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_aac1d1435b9fa8523d699c3a33264d559"><div class="ttname"><a href="_s_d_l__surface_8h.html#aac1d1435b9fa8523d699c3a33264d559">SDL_LoadBMP_RW</a></div><div class="ttdeci">DECLSPEC SDL_Surface *SDLCALL SDL_LoadBMP_RW(SDL_RWops *src, int freesrc)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_aadc126a4edeafb5033d5e942cf32db6a"><div class="ttname"><a href="_s_d_l__surface_8h.html#aadc126a4edeafb5033d5e942cf32db6a">SDL_SaveBMP_RW</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SaveBMP_RW(SDL_Surface *surface, SDL_RWops *dst, int freedst)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_ab2d7366d99a08693d476b98760690947"><div class="ttname"><a href="_s_d_l__surface_8h.html#ab2d7366d99a08693d476b98760690947">SDL_blit</a></div><div class="ttdeci">int(SDLCALL * SDL_blit)(struct SDL_Surface *src, SDL_Rect *srcrect, struct SDL_Surface *dst, SDL_Rect *dstrect)</div><div class="ttdoc">The type of function used for surface blitting functions.</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:100</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_abdc58e9ce47e2693230a3a1389b1bfb6"><div class="ttname"><a href="_s_d_l__surface_8h.html#abdc58e9ce47e2693230a3a1389b1bfb6">SDL_HasSurfaceRLE</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_HasSurfaceRLE(SDL_Surface *surface)</div><div class="ttdoc">Returns whether the surface is RLE enabled.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_ac418c4404813eeb32f4e1b24f9deae96"><div class="ttname"><a href="_s_d_l__surface_8h.html#ac418c4404813eeb32f4e1b24f9deae96">SDL_UpperBlit</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_UpperBlit(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, SDL_Rect *dstrect)</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_ad894d177fae95d7a1c0d23597b69e569"><div class="ttname"><a href="_s_d_l__surface_8h.html#ad894d177fae95d7a1c0d23597b69e569">SDL_Surface</a></div><div class="ttdeci">struct SDL_Surface SDL_Surface</div><div class="ttdoc">A collection of pixels used in software blitting.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_ae2f6d70b8071e83e0c84241dbdcd3a3b"><div class="ttname"><a href="_s_d_l__surface_8h.html#ae2f6d70b8071e83e0c84241dbdcd3a3b">SDL_SetSurfaceRLE</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SetSurfaceRLE(SDL_Surface *surface, int flag)</div><div class="ttdoc">Sets the RLE acceleration hint for a surface.</div></div>
<div class="ttc" id="a_s_d_l__surface_8h_html_aee44fe7d5dba376a971793d70ffcf55c"><div class="ttname"><a href="_s_d_l__surface_8h.html#aee44fe7d5dba376a971793d70ffcf55c">SDL_SoftStretch</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_SoftStretch(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect)</div><div class="ttdoc">Perform a fast, low quality, stretch blit between two surfaces of the same pixel format.</div></div>
<div class="ttc" id="abegin__code_8h_html"><div class="ttname"><a href="begin__code_8h.html">begin_code.h</a></div></div>
<div class="ttc" id="aclose__code_8h_html"><div class="ttname"><a href="close__code_8h.html">close_code.h</a></div></div>
<div class="ttc" id="astruct_s_d_l___palette_html"><div class="ttname"><a href="struct_s_d_l___palette.html">SDL_Palette</a></div><div class="ttdef"><b>Definition:</b> SDL_pixels.h:314</div></div>
<div class="ttc" id="astruct_s_d_l___pixel_format_html"><div class="ttname"><a href="struct_s_d_l___pixel_format.html">SDL_PixelFormat</a></div><div class="ttdef"><b>Definition:</b> SDL_pixels.h:325</div></div>
<div class="ttc" id="astruct_s_d_l___r_wops_html"><div class="ttname"><a href="struct_s_d_l___r_wops.html">SDL_RWops</a></div><div class="ttdef"><b>Definition:</b> SDL_rwops.h:53</div></div>
<div class="ttc" id="astruct_s_d_l___rect_html"><div class="ttname"><a href="struct_s_d_l___rect.html">SDL_Rect</a></div><div class="ttdoc">A rectangle, with the origin at the upper left (integer).</div><div class="ttdef"><b>Definition:</b> SDL_rect.h:78</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html"><div class="ttname"><a href="struct_s_d_l___surface.html">SDL_Surface</a></div><div class="ttdoc">A collection of pixels used in software blitting.</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:71</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_a03d10628a359c0674f5ceffd574f1641"><div class="ttname"><a href="struct_s_d_l___surface.html#a03d10628a359c0674f5ceffd574f1641">SDL_Surface::refcount</a></div><div class="ttdeci">int refcount</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:94</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_a0a90721f947c10c3b79e02ccb419ca62"><div class="ttname"><a href="struct_s_d_l___surface.html#a0a90721f947c10c3b79e02ccb419ca62">SDL_Surface::format</a></div><div class="ttdeci">SDL_PixelFormat * format</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:73</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_a17294cb1ec1ef7f77f75cdad26ac795f"><div class="ttname"><a href="struct_s_d_l___surface.html#a17294cb1ec1ef7f77f75cdad26ac795f">SDL_Surface::list_blitmap</a></div><div class="ttdeci">void * list_blitmap</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:85</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_a5022edaeea1c0a055fa5d6dccba41de2"><div class="ttname"><a href="struct_s_d_l___surface.html#a5022edaeea1c0a055fa5d6dccba41de2">SDL_Surface::locked</a></div><div class="ttdeci">int locked</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:82</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_a5fa37325d77d65b2ed64ffc7cd01bb6c"><div class="ttname"><a href="struct_s_d_l___surface.html#a5fa37325d77d65b2ed64ffc7cd01bb6c">SDL_Surface::pitch</a></div><div class="ttdeci">int pitch</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:75</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_a86d78b665d5dfd7aa1dd9696b067641b"><div class="ttname"><a href="struct_s_d_l___surface.html#a86d78b665d5dfd7aa1dd9696b067641b">SDL_Surface::flags</a></div><div class="ttdeci">Uint32 flags</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:72</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_a8c1ecad399b0d4f525b1a53b6ee9393f"><div class="ttname"><a href="struct_s_d_l___surface.html#a8c1ecad399b0d4f525b1a53b6ee9393f">SDL_Surface::map</a></div><div class="ttdeci">struct SDL_BlitMap * map</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:91</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_aa9a0da3b38261dad6cf0cc4e3bb5b0c3"><div class="ttname"><a href="struct_s_d_l___surface.html#aa9a0da3b38261dad6cf0cc4e3bb5b0c3">SDL_Surface::clip_rect</a></div><div class="ttdeci">SDL_Rect clip_rect</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:88</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_abd9597e0e084b8ef33fe0397bc26d911"><div class="ttname"><a href="struct_s_d_l___surface.html#abd9597e0e084b8ef33fe0397bc26d911">SDL_Surface::pixels</a></div><div class="ttdeci">void * pixels</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:76</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_ae66d973dcb9b57cb34815892e1ee1f31"><div class="ttname"><a href="struct_s_d_l___surface.html#ae66d973dcb9b57cb34815892e1ee1f31">SDL_Surface::userdata</a></div><div class="ttdeci">void * userdata</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:79</div></div>
<div class="ttc" id="astruct_s_d_l___surface_html_af33bcf87a1f5e10a99b3c7e8626b38c8"><div class="ttname"><a href="struct_s_d_l___surface.html#af33bcf87a1f5e10a99b3c7e8626b38c8">SDL_Surface::h</a></div><div class="ttdeci">int h</div><div class="ttdef"><b>Definition:</b> SDL_surface.h:74</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
